




<!-- NEWS.md was auto-generated by NEWS.Rmd. Please DO NOT edit by hand!-->

# Changes in version 0.9.21 (2023-02-03)

**This package version requires R \>= 4.1**

## Bugfixes and changes

### `analyse_portableOSL()`

- The function can now handle a list of `RLum.Analysis-class` objects
  and automatically process them in a conventional way. **Potential
  breaking change warning**: the `$summary` data frame gained an
  additional column, `SAMPLE`. If you access columns index-based, you
  have to double-check your code. The manual was updated accordingly.
- A new `...` argument `sample` was added to allow adding information on
  the sample for the plot
- The function did not like sequences with only one pair of OSL/IRSL and
  returned an error; fixed.

### `convert_PSL2CSV()`

- Add new argument `single_table` to enable the export of PSL data into
  a single spreadsheet table (CSV file), each curve is represented by
  two columns
- Add new argument `extract_raw_data`, which allows to extract the raw
  data convienently. Those data are already imported by `read_PSL2R()`
  but they remain somewhat hidden in the `@info` slots of each
  `RLum.Data.Curve` object.

### `fit_LMCurve()`

- If the argument `fit.calcError` was set to `TRUE` and the parameter
  confidence interval calculation failed, the function stopped with an
  uncontrolled error. Now it shows a meaningful warning instead.

### `plot_RadialPlot()`

- Fix a few visual problems if the dataset has negative values (thanks
  to Alice Versendaal for reporting)

### `read_BIN2R()`

- Function crashed under edge conditions while testing concise records
  returning a subscript out of bounds error; fixed.
- The function struggled to read files from downloads (URL instead of a
  local file path) correctly on Windows machines; fixed.

### `write_RLum2CSV()`

- The function now accepts `data.frame` objects as input. This has no
  particular advantage over the base R functions, such as `write.csv()`
  but is used internally in combination with other functions.

### Internals

- Fix outdated URL in `github.R`
